Debian Bug report logs - #696836
RFP: libmath-pari-perl -- Perl bindings for PARI

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 28 Dec 2012 00:33:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Fri, 28 Dec 2012 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, wnpp@debian.org. (Fri, 28 Dec 2012 00:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Fri, 28 Dec 2012 00:28:30 +0000
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name    : libmath-pari-perl
  Version         : 2.01080605
  Upstream Author : Ilya Zakharevich
* URL             : http://search.cpan.org/~ilyaz/Math-Pari-2.01080605/Pari.pm
* License         : Perl (Artistic | GPL-1+)
  Programming Lang: Perl
  Description     : Perl bindings for PARI

Math::Pari is a Perl interface to the famous library PARI for numerical,
scientific, and number-theoretic calculations. It allows the use of most
PARI functions in Perl, and (almost) seamless merging of PARI and Perl
data.

The description is slightly modified from the upstream description.

I'm interested in this primarily as an indirect dependency for
Crypt::OpenPGP, and building it by hand is non-trivial if I want it to
link to Debian's libpari.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Fri, 28 Dec 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Dec 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 696836@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 696836@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Fri, 28 Dec 2012 02:41:25 +0100
[Message part 1 (text/plain, inline)]
On Fri, 28 Dec 2012 00:28:30 +0000, brian m. carlson wrote:

> * Package name    : libmath-pari-perl
>   Version         : 2.01080605
>   Upstream Author : Ilya Zakharevich
> * URL             : http://search.cpan.org/~ilyaz/Math-Pari-2.01080605/Pari.pm
> * License         : Perl (Artistic | GPL-1+)
>   Programming Lang: Perl
>   Description     : Perl bindings for PARI

> I'm interested in this primarily as an indirect dependency for
> Crypt::OpenPGP, and building it by hand is non-trivial if I want it to
> link to Debian's libpari.

Ack.

The last ITP for this package (#440527) was also closed after some
time because it's somewhere between untrivial and impossible ...

After a quick glance at the old bug report it would need something
like libpari-source ...

AFAICS there was no reply from the libpari maintainer, and upstream
in https://rt.cpan.org/Ticket/Display.html?id=30552 also didn't
follow up on Gunnar's request.

INSTALL mentions some ways about using a pre-built libpari but this
doesn't sound very encouraging ... (And the hint with LIBPARI= also
doesn't seem to work for me.)

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Various Artists: The Island
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Fri, 28 Dec 2012 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Dec 2012 02:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 696836@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 696836@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Thu, 27 Dec 2012 21:02:07 -0500
On 12/27/2012 08:41 PM, gregor herrmann wrote:
> On Fri, 28 Dec 2012 00:28:30 +0000, brian m. carlson wrote:
> 
>> * Package name    : libmath-pari-perl
>>   Version         : 2.01080605
>>   Upstream Author : Ilya Zakharevich
>> * URL             : http://search.cpan.org/~ilyaz/Math-Pari-2.01080605/Pari.pm
>> * License         : Perl (Artistic | GPL-1+)
>>   Programming Lang: Perl
>>   Description     : Perl bindings for PARI
> 
>> I'm interested in this primarily as an indirect dependency for
>> Crypt::OpenPGP, and building it by hand is non-trivial if I want it to
>> link to Debian's libpari.
> 
> Ack.
> 
> The last ITP for this package (#440527) was also closed after some
> time because it's somewhere between untrivial and impossible ...
> 
> After a quick glance at the old bug report it would need something
> like libpari-source ...
> 
> AFAICS there was no reply from the libpari maintainer, and upstream
> in https://rt.cpan.org/Ticket/Display.html?id=30552 also didn't
> follow up on Gunnar's request.
> 
> INSTALL mentions some ways about using a pre-built libpari but this
> doesn't sound very encouraging ... (And the hint with LIBPARI= also
> doesn't seem to work for me.)

Having looked at this in the past for other modules that depend on
Math::PARI (Crypt::OpenPGP in particular), I echo gregor's sentiments.
Upstream seems to be (passively or actively) averse to the idea that
Math::PARI might be installed or maintained via a binary distribution
like debian.  Note the admonitions about needing perl itself to have
been built on "this machine" in the latest README:

  https://metacpan.org/source/ILYAZ/Math-Pari-2.01080605/README

Fortunately for my own Crypt::OpenPGP goals, recent work on Math::Prime
and Crypt::RSA might relieve us of some Math::PARI dependencies, which
could clear the way forward for Crypt::OpenPGP (finally!) by jessie.

brian, what in particular do you want or need Math::PARI for?  Maybe
there's another route that would help you get to your goal?

Regards,

	--dkg



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Fri, 28 Dec 2012 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Dec 2012 22:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 696836@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: 696836@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Fri, 28 Dec 2012 22:13:08 +0000
[Message part 1 (text/plain, inline)]
On Thu, Dec 27, 2012 at 09:02:07PM -0500, Daniel Kahn Gillmor wrote:
> On 12/27/2012 08:41 PM, gregor herrmann wrote:
> > The last ITP for this package (#440527) was also closed after some
> > time because it's somewhere between untrivial and impossible ...
> > 
> > After a quick glance at the old bug report it would need something
> > like libpari-source ...
> > 
> > AFAICS there was no reply from the libpari maintainer, and upstream
> > in https://rt.cpan.org/Ticket/Display.html?id=30552 also didn't
> > follow up on Gunnar's request.
> > 
> > INSTALL mentions some ways about using a pre-built libpari but this
> > doesn't sound very encouraging ... (And the hint with LIBPARI= also
> > doesn't seem to work for me.)

It didn't work for me, either.  I was hoping someone had already figured
out how to do this and it would only have to be done once.

> Fortunately for my own Crypt::OpenPGP goals, recent work on Math::Prime
> and Crypt::RSA might relieve us of some Math::PARI dependencies, which
> could clear the way forward for Crypt::OpenPGP (finally!) by jessie.

Can you point me to where that work's occuring?  I'd be happy to
contribute if it means I don't need Math::PARI.

> brian, what in particular do you want or need Math::PARI for?  Maybe
> there's another route that would help you get to your goal?

As I said, I want it for Crypt::OpenPGP.  Crypt::OpenPGP sounds
interesting, but it can't yet be used to build a fully-featured OpenPGP
implementation.  I want to change that, and I'd like to build such an
implementation, as well as a keyserver that honors the no-modify bit.

I'd like to point out that several other modules are missing for
Crypt::OpenPGP to be functional without using cpan.  I can open RFPs for
those if there's interest in packaging them.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Fri, 28 Dec 2012 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Dec 2012 22:27:06 GMT) Full text and rfc822 format available.

Message #25 received at 696836@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 696836@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Fri, 28 Dec 2012 17:22:44 -0500
[Message part 1 (text/plain, inline)]
On 12/28/2012 05:13 PM, brian m. carlson wrote:
>> Fortunately for my own Crypt::OpenPGP goals, recent work on Math::Prime
>> and Crypt::RSA might relieve us of some Math::PARI dependencies, which
>> could clear the way forward for Crypt::OpenPGP (finally!) by jessie.
> 
> Can you point me to where that work's occuring?  I'd be happy to
> contribute if it means I don't need Math::PARI.

https://rt.cpan.org/Ticket/Display.html?id=52689

It looks like there's some rough consensus to have the PARI-less
Crypt::RSA become the new version of Crypt::RSA soon.  I was planning to
ITP it when that happens (though i might also consider packaging
Alt::Crypt::RSA::BigInt first, if anyone with deeper debian-perl
knowledge can provide guidance on how "Ingy's Alt namespace idea" might
interact with debian packaging).

>> brian, what in particular do you want or need Math::PARI for?  Maybe
>> there's another route that would help you get to your goal?
> 
> As I said, I want it for Crypt::OpenPGP.  Crypt::OpenPGP sounds
> interesting, but it can't yet be used to build a fully-featured OpenPGP
> implementation.  I want to change that, and I'd like to build such an
> implementation, as well as a keyserver that honors the no-modify bit.

sweet, i'm glad we're on the same page.  sorry i missed your earlier
comment about Crypt::OpenPGP.

> I'd like to point out that several other modules are missing for
> Crypt::OpenPGP to be functional without using cpan.  I can open RFPs for
> those if there's interest in packaging them.

Which modules are those?  I haven't looked at the chain in a little
while, but i thought we'd packaged up most of the rest of the non-PARI
dependencies.  I'm probably wrong :)

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Fri, 28 Dec 2012 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Dec 2012 23:03:06 GMT) Full text and rfc822 format available.

Message #30 received at 696836@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: 696836@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Fri, 28 Dec 2012 23:00:01 +0000
[Message part 1 (text/plain, inline)]
On Fri, Dec 28, 2012 at 05:22:44PM -0500, Daniel Kahn Gillmor wrote:
> https://rt.cpan.org/Ticket/Display.html?id=52689
> 
> It looks like there's some rough consensus to have the PARI-less
> Crypt::RSA become the new version of Crypt::RSA soon.  I was planning to
> ITP it when that happens (though i might also consider packaging
> Alt::Crypt::RSA::BigInt first, if anyone with deeper debian-perl
> knowledge can provide guidance on how "Ingy's Alt namespace idea" might
> interact with debian packaging).

Excellent.

> > I'd like to point out that several other modules are missing for
> > Crypt::OpenPGP to be functional without using cpan.  I can open RFPs for
> > those if there's interest in packaging them.
> 
> Which modules are those?  I haven't looked at the chain in a little
> while, but i thought we'd packaged up most of the rest of the non-PARI
> dependencies.  I'm probably wrong :)

As far as direct dependencies:

Crypt::RIPEMD160
Digest::SHA1 (although I'm happy to patch this to use Digest::SHA)
Crypt::CAST5_PP (Crypt::CAST5 can likely be used instead)
Crypt::IDEA
Crypt::RSA

We don't need to patch out Crypt::IDEA since all the patents have
expired.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Sat, 29 Dec 2012 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 Dec 2012 01:30:03 GMT) Full text and rfc822 format available.

Message #35 received at 696836@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 696836@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Sat, 29 Dec 2012 02:26:52 +0100
[Message part 1 (text/plain, inline)]
On Fri, 28 Dec 2012 23:00:01 +0000, brian m. carlson wrote:

> > Which modules are those?  I haven't looked at the chain in a little
> > while, but i thought we'd packaged up most of the rest of the non-PARI
> > dependencies.  I'm probably wrong :)
> As far as direct dependencies:

> Crypt::RIPEMD160

This rings a bell, but I can't find it somewhere right now,

> Digest::SHA1 (although I'm happy to patch this to use Digest::SHA)

Oh yes, we won't reintrodcue Digest::SHA1 after we finally managed to
get rid of it :)

> Crypt::CAST5_PP (Crypt::CAST5 can likely be used instead)

Sounds good.

> Crypt::IDEA

Hm, also missing

> Crypt::RSA

Here we have #532839
(I haven't looked if it stills needs Math::Pari)
 

Sounds all doable (in general, unless we again hit some - ehm - funny
circumstances).


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Leonard Cohen: That Don't Make It Junk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Sat, 29 Dec 2012 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 Dec 2012 01:54:03 GMT) Full text and rfc822 format available.

Message #40 received at 696836@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 696836@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Sat, 29 Dec 2012 01:50:54 +0000
[Message part 1 (text/plain, inline)]
On Sat, Dec 29, 2012 at 02:26:52AM +0100, gregor herrmann wrote:
> On Fri, 28 Dec 2012 23:00:01 +0000, brian m. carlson wrote:
> 
> > > Which modules are those?  I haven't looked at the chain in a little
> > > while, but i thought we'd packaged up most of the rest of the non-PARI
> > > dependencies.  I'm probably wrong :)
> > As far as direct dependencies:

I forgot one: Crypt::Random (not listed in the Makefile.PL), which
depends on, you guessed it, Math::Pari.  I've proposed a patch upstream
(RT#82314) to use Bytes::Random::Secure as a fallback.  This is what
will be used in the proposed Crypt::RSA that doesn't use Pari.

> > Digest::SHA1 (although I'm happy to patch this to use Digest::SHA)
> 
> Oh yes, we won't reintrodcue Digest::SHA1 after we finally managed to
> get rid of it :)

A patch to use Digest::SHA is now RT#82316 (which also introduces
support for all the SHA-2 algorithms).

> > Crypt::CAST5_PP (Crypt::CAST5 can likely be used instead)
> 
> Sounds good.

A patch to use Crypt::CAST5 is now RT#82315.

> > Crypt::RSA
> 
> Here we have #532839
> (I haven't looked if it stills needs Math::Pari)

It does, although within the past two weeks an alternative
implementation has been proposed upstream using Math::Bigint instead of
Math::Pari.  It's available as Alt::Crypt::RSA::Bigint in the mean time.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Sat, 29 Dec 2012 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 Dec 2012 02:06:03 GMT) Full text and rfc822 format available.

Message #45 received at 696836@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 696836@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Sat, 29 Dec 2012 01:54:22 +0000
[Message part 1 (text/plain, inline)]
On Sat, Dec 29, 2012 at 01:50:54AM +0000, brian m. carlson wrote:
> I forgot one: Crypt::Random (not listed in the Makefile.PL), which
> depends on, you guessed it, Math::Pari.  I've proposed a patch upstream
> (RT#82314) to use Bytes::Random::Secure as a fallback.  This is what
> will be used in the proposed Crypt::RSA that doesn't use Pari.

One more thing: I plan on submitting a patch upstream to support the
Camellia ciphers, so Crypt::Camellia might be a good idea as well.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696836; Package wnpp. (Sat, 29 Dec 2012 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 Dec 2012 08:54:03 GMT) Full text and rfc822 format available.

Message #50 received at 696836@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 696836@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#696836: RFP: libmath-pari-perl -- Perl bindings for PARI
Date: Sat, 29 Dec 2012 09:51:43 +0100
[Message part 1 (text/plain, inline)]
Hi

On Sat, Dec 29, 2012 at 02:26:52AM +0100, gregor herrmann wrote:
> > Crypt::RSA
> 
> Here we have #532839
> (I haven't looked if it stills needs Math::Pari)

Short note on that. Even if I have the ITP, as soon it's possible (or
packaging the alternative) and I would not do it, please take over (as
long it's maintained under the Debian Perl Group umbrella ;-)).

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:53:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.